Checksum (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class Checksum

    java.lang.Object
      edu.harvard.hul.ois.jhove.Checksum

    public class Checksum

extends java.lang.Object

This class encapsulates the result of calculations which provide a greater or lesser degree of confirmation of the integrity of a digital object's content, including checksums, CRC's, message digests, etc.

See Also:
  `ChecksumType`, `Checksummer`

Constructor Summary
`Checksum(java.lang.String value, ChecksumType type)` Creates a Checksum with a given value and type

Method Summary
`ChecksumType` | `getType()` Returns this Checksum's type
`java.lang.String` | `getValue()` Returns this Checksum's value
`void` | `setType(ChecksumType type)` Sets the type of this Checksum
`void` | `setValue(java.lang.String value)` Sets the value of this Checksum
`static byte` | `unsignedByteToByte(int value)` Maps unsigned byte value (0 to 256) to signed byte value (-128 to 127).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Checksum

    public Checksum(java.lang.String value,
                    ChecksumType type)

  Creates a Checksum with a given value and type

Method Detail

### getType

    public ChecksumType getType()

  Returns this Checksum's type

### getValue

    public java.lang.String getValue()

  Returns this Checksum's value

### setType

    public void setType(ChecksumType type)

  Sets the type of this Checksum

### setValue

    public void setValue(java.lang.String value)

  Sets the value of this Checksum

### unsignedByteToByte

    public static byte unsignedByteToByte(int value)

  Maps unsigned byte value (0 to 256) to signed byte value (-128 to 127).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD